package com.bankaudit.dao;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.UserLeavePlanner;
import com.bankaudit.util.ServiceStatus;


public interface UserLeavePlannerDao extends Dao{
	
	DataTableResponse getAllUserLeaves(Integer legalEntityCodeStr,String search, Integer orderColumn, String orderDirection, Integer page, Integer size);
	
	List<UserLeavePlanner> getByUserIdLeaveType(Integer legalEntityCodeStr,String userId,String leaveType);
	
	ServiceStatus validateUserLeaves(UserLeavePlanner userLeavePlanner);
	
	void deleteUserLeavePlanner(Integer legalEntityCodeStr,Integer id, String statusUnauth);
}
